def Namespace = "default"
def remote = [:]
remote.name = 'AnsibleStg'
remote.host = '172.16.16.164'
remote.user = 'root'
remote.password = 'Ansible19'
remote.allowAnyHosts = true
pipeline {
    agent any
    post {
      always {
        mail bcc: '', body: '''Hi Welcome to jenkins email alerts
        Thanks by Mehrez Kanzari.''', cc: '', from: '', replyTo: '', subject: 'Jenkins job notification', to: 'kanzarimehrez1@gmail.com'
      }
      failure {
        updateGitlabCommitStatus name: 'build', state: 'failed'
      }
      success {
        updateGitlabCommitStatus name: 'build', state: 'success'
      }
    }
    options {
      gitLabConnection('Gitlab Connection')
    }
    triggers {
        gitlab(triggerOnPush: true, triggerOnMergeRequest: true, branchFilterType: 'All')
    }
    stages {
        stage("Deploy on K8s") {
            steps {
                sshCommand remote: remote, command: "ansible-playbook /ansible/deploy-nextcloud.yml --extra-vars Namespace=${Namespace}"
            }
        }
    }
}